Stylesheet Designer

xml spy
Stylesheet Designer

Stylesheet Designer converts XML documents into HTML without you having to know a single thing about XSLT "programming!". The XSLT Stylesheet is automatically created for you!

There are only a few steps:
· Load the Schema that forms the basis of your HTML document
· Assign a working XML document which provides preview data
· Drag and drop the specific schema elements into Stylesheet Designer window
· View the results in the integrated Internet Explorer window

The XSLT Stylesheet is automatically created for you!

Stylesheet Designer is available in two flavors:

· As a stand-alone product which allows you to create XSLT stylesheets
· As an administration module/tool which allows you to prepare XSLT Templates for further use with Authentic Document view.

Top Next

© 2002 Altova


Overview

Overview

Stylesheet Designer has three main areas: the two panes on the left and the main window at right.

· The top left pane displays a tree view of currently loaded schema file. The schema name and path is displayed in the top line.

· The Text style pane consists of several tabs, and allows you to assign HTML properties to text elements in the main window.

· The Block style pane consists of several tabs, and allows you to assign HTML properties to blocks, such as tables, in the main window.

· The main window is where you design your XSLT template. You can also view the automatically generated XSLT style sheet and preview the transformation results in Internet Explorer in this window.

Previous Top Next


Symbols and icons

Symbols and icons

Stylesheet Designer uses easily recognizable symbols to display the various schema elements in the tree view, and uses tag symbols for the XSLT elements in the Design view.

Tree view symbols and icons

Schema name and folder

Document root.
All elements inserted from below the Document root (but not under the Global Templates) into the Design view, become local elements. Any formatting applied to them in the Design view, only takes effect in this document instance. The Design view tab contains the text Design [Document].

Global templates are defined using the elements under the Global Templates element.

Element

Attribute.

Element with child/sub elements.

Global templates, these are equivalent to global elements in a schema.

Use Global Templates as text modifiers for the moment e.g. bold, italic or paragraph.

Formatting Global Elements:
1. Click the global template you want to apply formatting to (italic. in this case).
The Design view now displays the italic. template. The tab also contains the name of the global template Design [italic].

2. Define the attributes the global element is to have using the TEXT STYLE pane, click on the Text tab and select font-style = italic.
Wherever this element appears (or is applied to) text in Designer view, it will appear in italic.
3. (Clicking the italic icon in the title bar in Authentic Document view inserts this element and changes the text to italic.)

Design view symbols and icons

Root element tags.

The (contents) "text" between the two tags in the Design view, is the symbol for an XML data placeholder. The placeholder is filled with data when you switch to the IE Preview tab. The data is supplied by the XML file assigned to the currently visible schema visible in the tree view. Use the menu option File | Assign working XML file... to assign the XML file to the schema.

To delete a placeholder:
1. Click the placeholder and press the keyboard Del. key.

This deletes the placeholder in the Design tab, and causes the XML data to be suppressed in the IE Preview.

To (re) insert a placeholder:
1. Click between the two tags where you want to insert the placeholder.
2. Click right (at the cursor position) to open the context menu, and select "Insert Contents".

The placeholder is inserted at the cursor position.

Start and end tags of the Person element, expanded. The parent tags of the Person element (Altova) are also included.

Person element tag, contracted. To expand or contract tags, double click the specific tag.

Manager attribute, start and end tag.

"Contents", placeholder for XML data.

Person element inserted as a table containing both elements and attributes.

Email element "input field". Clicking right on the vertical border at the right allows you to directly change the size of this field by dragging with the mouse.

Formatting tables:
Stylesheet Designer allows you to directly format tables (as well as the input field) using the mouse.

· Place the cursor over any table or cell border and drag when the mouse pointer changes to the double headed arrow.

The moment you click and drag, the cell or table dimensions appear in a popup allowing you to precisely define its size.

You can also use the same method on table borders that have been hidden, by clicking the View table cell bounds icon, [image] and dragging on the dashed border lines that then become visible.

Marking and applying formatting in tables:
Stylesheet Designer offers you many ways to format your table data.
· You can apply formatting (bold etc.) to parts of a table eg. only some of the column headers, some cells etc., by just marking them and applying bold or any other HTML formatting for example.
· Using drag left allows you to mark multiple cells and apply formatting.
· Clicking an element tag marks the whole element, to which you can then apply the specific formatting. In the diagram above, clicking the <Altova><Person> element would mark the whole table.


Designer Tutorial

Designer Tutorial

The aim of this tutorial is to create an XSLT stylesheet for a company which has two offices, the main US office and the EU dependency.

What the XSLT stylesheet should contain:
· The name of the Document, Orgchart in this case
· The name of the regional office
· The address data of each of the regional offices
· The office departments and a list of employees in each department with an email adress to use as hyperlink.

Please note:
Designer supports unlimited undo, you can always go back and retrace your steps!


Creating an XSLT Stylesheet

Creating an XSLT Stylesheet

Starting Stylesheet Designer:
1. Start Stylesheet Designer by double clicking on the Stylesheet Designer icon.

You are presented with an empty environment.
2. Select the menu option File | Open and open the OrgChart.xsd schema file supplied with Stylesheet Designer (in the Examples folder).

The OrgChart schema is the basis of your stylesheet. The elements and attributes it contains are used to create the XSLT stylesheet.
3. Select the menu option File | Assign working XML file... and open the OrgChart.xml file supplied with Stylesheet Designer.

This file supplies the XML data through which you preview the XSLT Stylesheet. The file and folder name of the XML file now appear in the title bar.

Inserting a schema element into the Design view:
1. Click on the plus icon of OrgChart element in the schema tree view, to see the sub-elements.
2. Click the Name element and drag it into the Design window. Drop it just after the (contents) text to the left of the root element, end tag.
A popup window appears at this point.

3. Click the Create Contents option in the popup.

The start and end tags of the Altova and Name elements are inserted. The (Contents) text, is a placeholder in the Design view and is replaced by XML data in the IE Preview tab.

Previewing the XSLT stylesheet:
· Click on the IE Preview tab to display the resulting HTML output of the XSLT stylesheet.
In this case the orgchart title is displayed.

To view the XSLT stylesheet code:
· Click the XSLT stylesheet tab to see the automatically generated XSLT code.

· Click the Design[Document] tab, to return to the Design view.

The XSLT stylesheet can be saved by selecting the menu command File | Save Generated XSLT file...

Saving Stylesheet Designer files:
· Select the menu option File | Save as, and enter a name for the file (XSLT-tutorial). The file name you enter also appears in the title bar.

The "Save" command saves the Stylesheet Designer file as a structure file, or template, (extension *.sps). The .sps file saves all the data visible in the Designer window, as well as the associated working XML and Schema/DTD files.

Please note:
Only template files (all *.sps files) saved from within Stylesheet Designer, can be edited in Authentic Document view!


Inserting tables and applying HTML attributes

Inserting tables and applying HTML attributes

Applying HTML attributes to an element:
1. Click the (Contents) placeholder to mark it.
The TEXT BLOCK pane (HTML attributes window) displays all the HTML attributes available that can be assigned to the element. You might have to drag up the window divider to see more of the attributes.
2. Click the Text tab, then the font-size combo box and select "large".
The (contents) placeholder is updated immediately, and displays the HTML attributes you select.
3. Click to set the text cursor after the Name end tag, and hit the Enter key.
This moves the OrgChart end tag to the next line.

4. Click the plus icon next to the Office element (in the tree view) to expand the sub-elements.

5. Click the Name element (under the Office element) drag it into the Design view, and drop it in front of the OrgChart end tag.
6. Select the Create Paragraph item from the popup menu.
The start and end tags are now displayed over three lines. This is the visual indication that a paragraph is to follow each of the XML data instances in the IE Preview.

7. Click the (contents) placeholder and select "medium" from the font-size combo box in the TEXT STYLE pane.
8. Click the Color tab in the TEXT STYLE pane and select "red" from the color combo box. (Click somewhere else in the Design window to deselect the contents placeholder).

9. Click the IE Preview tab to see the changes made to the stylesheet.

10. Click the Design [Document] tab to return to the Design view.

Inserting fixed and dynamic tables:
1. Set the text cursor between the Name and Office end tags.
2. Select the menu option Insert | Insert Table.
3. Define a table of 2 columns and 1 row in the Insert Table dialog box, click OK to confirm the selection.
A standard HTML table is inserted between the two tags.This is a fixed table and does not change with the underlying XML data.

4. Place the text cursor on the Address tag in the tree view, and drag the Address element into the first cell of the table.
5. Select Create Table from the popup. This opens the "Create dynamic table" dialog box.
6. Click the "ipo:name" entry in the Show columns list box, to deselect it.

Please note:
Stylesheet Designer supports the use of CALS and HTML tables directly in Authentic Document view. Please see the CALS / HTML table section for more information on how to configure these type of tables for use in Authentic Document view.

7. Click the Table grows... "left/right" radio button, and confirm with OK.
This inserts a dynamic table within the table we just created. Dynamic tables adjust their size to the underlying XML data.

8. Click in the empty column at the far right, and select the menu option Insert | Insert Table. Define the table as having 2 columns and 3 rows.
9. Click in the first column (of the new table) and enter Phone, Fax and E-mail in each row.

10. Click the Phone element in the tree view, drag it into the Design view, and drop it next to the Phone cell. Select Create Contents from the popup.
11. Use the same method to insert the Fax and Email elements from the tree view into the respective cells of the table. Select "Create Contents" in both cases.

12. Click the IE Preview tab, to see the progress so far, then switch back to the Design tab so we can continue designing the Orgchart.

Not the most beautiful table layout, I am sure you will agree! Lets try and make it somewhat more pleasing to the eye.

Joining cells and changing tag types:
1. Click in the zip cell and select the menu option Table | Join cell above.
Do the same thing for the zip row label.
2. Set the text cursor between the state and zip text, and enter a forward slash character ( / ). Enter the same character after the ipo:state end tag.

3. Right click the ipo:city tag, and select Change to combo box from the popup menu.
4. Click the "+" button, and double click in the Visible Entry field.
5. Enter a city name, e.g. Athens and hit TAB.
6. Enter the text or value that is to appear in the XML document, hit Enter to confirm. The XML Value can of course differ from the text in the Visible Entry field.
7. Click the "+" button again and enter the name of a second city (e.g. Paris).

8. Click OK to confirm these entries and close the dialog box.

Please note:
To edit the combo box settings: right click the combo box (not the ipo:city tags), and select "Edit properties..." from the popup menu.

Formatting tables:
1. Click the Address tag at the top of the table, and select the menu option Table | Table properties.
2. Click the border combo box, and select 0 from the drop down list, confirm the changes with OK.

This removes the table border from the Design view, as well as in the IE Preview window.
The table border is now displayed as a dashed line.
This enables you to click the border and resize it if you wish. Click the "View table cell bounds" icon [image] to switch the dashed line on or off.
3. Click the IE Preview tab to see the changes, then click the Design tab so we can complete our orgchart.

Please note:
The City combo box entries you define here, can be selected when this template is opened and completed in Authentic Document view, the IE Preview displays the currently defined entries. The XML Values defined in the Edit Combo box, are what actually appear in the template document in Authentic Document view (in this case 1 for Athens and 2 for Paris).

See also:
CALS / HTML Table properties...
Delete table
Table properties


Hyperlink an image

Hyperlink an image

You may want to hyperlink an image to get to the company's homepage by clicking on the picture.
In this case, we will add a hyperlink to the Nanonull company logo.

1. From the schema tree view pane select CompanyLogo, drag it into the Design window and drop it in the empty line between the two Name tags.

2. Select Create Image from the pop-up menu.

3. Select the Static tag and click the Browse button to select an existing image.

4. Select the picture to insert, in this case 'nanonull.gif' and click Open

5. The selected object is now shown in the Address field. Click Ok.

6. The selected picture is now shown in the point of insertion in the Design view.

7. Right click on the inserted image and select Hyperlink. Write the URL in the Address field, in this case http://www.nanonull.com and click OK.

Please note:

You must enter a valid URL, starting with http://. An URL without a prefix can be entered, but the internet connection would lead to an error messages.

8. Switch from the Design view to the IE Preview and click on the picture. Internet Explorer searches for the URL and displays it the web site.

9. To go back to the IE Preview, right click and select Back from the pop-up menu.

See also:

Hyperlink a text
Hyperlink in the Reference section


Hyperlink a text

Hyperlink a text

At this point we want to hyperlink the company's name to the Nanonull homepage.

1. Select the text to use for the hyperlink. In this case, select the second "(contents)" placeholder.

2. Click the Insert Hyperlink [image] icon in the menu bar (or right-click and select "Hyperlink" from the pop-up menu, shortcut "CTRL+K").
3. The "Insert Hyperlink" window opens.
The Selection file displays the hyperlink source in your XML document.
4. Select the Static tab and enter a valid URL, in this case http://www.nanonull.com .

5. Click OK. The hyperlinked selection is now in shown with a blue underline.

6. To check whether the URL is correct: Switch to the IE Preview tag.
7. Click on the Nanonull, Inc. hyperlink. Internet Explorer searches for the URL and displays it.

8. To go back to the IE Preview pane, right-click and select Back from the pop-up menu.

See also:
Hyperlink an image
Hyperlink in the Reference section


Bookmarks

Bookmarks

In addition to hyperlinks, it is also possible to insert bookmarks.

1. Select the text to use as a bookmark. In this case, select the "(contents)" placeholder in the e-mail field.
2. Go to Insert in the menu bar and select Insert Bookmark (you can also use the shortcut "CTRL+G").
3. The "Insert Bookmark" dialog-box opens.
The Bookmark name field shows the name of the bookmark. If you want to edit its name, just overwrite the text in the field. Click OK to confirm.

Should there be more than one bookmark on the current page, this will be shown in the 'Other bookmarks on this page' field.
Bookmarked text is shown in the XML document as a dashed underlined text.

4. If you now want to create a hyperlink from the company's name to the bookmarked e-mail address, select the contents field between the Name tags above the table and right click it.

5. Select Hyperlink.

6. Click the Bookmark button. The "Select place in Document" window opens. Since only one bookmark has yet been inserted in this document, only this bookmark is shown. Select the bookmark and click the OK button .

7. The bookmark's name is inserted into the Address field of the Insert Hyperlink dialog box. Click OK to set the hyperlink.

8. The hyperlink is now underlined (in violet) and set for use. The bookmark is marked with a dashed underline.

You could now switch to the IE preview pane and perform the jump to the bookmark by clicking the hyperlink, but, since they are both on the same page, you would not notice any change.

See also:
Bookmark in the Reference section.


Completing the stylesheet

Completing the stylesheet

Inserting company description, departments and the people they contain:
1. Set the text cursor just in front of the Office end tag and hit the Enter key (you can also use the keyboard arrow keys, to move the cursor in the design view).

This inserts a space between the end of the table and the end tags, and also creates a paragraph in the IE Preview.
2. Click on the Desc tag in the tree view, drag it to the Design view and drop it in front of the Office end tag.
3. Select Create Contents from the popup menu.

4. Click the Para tag in the tree view (expand the Desc. tag), drag it to the Design view and drop it in front of the Desc end tag. Select Create Paragraph from the popup menu.

Please note:
Inserting the para (graph) tag in Stylesheet Designer, makes it possible to add a new paragraph(s) to the Description text (using the Enter key) in Authentic Document view. The para start and end tags, are automatically inserted when the Enter key is pressed in Authentic Document view.

Deleting paragraphs in Authentic Document view is achieved using the Backspace and Del. keys.

5. Click between the Desc and Office end tags, and hit Enter to insert a paragraph.

6. Click the IE Preview tab to see the results, and then switch back to the Design view.

Each company now has its own address data and description text.

Inserting departments and people in a dynamic table:
· Click the plus icon next to the Department element, to see the sub elements.

1. Click the Name element (of the Department parent element), drag it to the Design view, and drop it after the Desc end tag.
2. Select Create Paragraph from the popup menu that opens automatically.

3. Place the text cursor between the Desc end tag and the Department start tag, and hit the Enter key.

If you check the IE Preview, you will see that all the department names have been inserted after the company description text.

4. Click the Department | Name (Contents) placeholder, and select bold from the font-weight combo box in the Text tab of the Text style pane.
5. Click the (Department) Person element in the tree view, drag it into the Design view and drop it between the Name and Department end tags.
6. Select Create Table from the popup menu that opens at this point, and confirm with OK.

7. Click between the Person and Department end tags, and hit the Enter key.
8. Click the IE Preview tab to see the results, and then return to the Design view.

Changing Table properties:
1. Click in the table header and select the menu option Table | Table properties...
2. Click the Row tab and select aqua from the bgcolor combo box, click on OK to confirm.
3. Click in one of the table body cells and use the same method to color the rows yellow.
4. Use the same method to change the border combo box entry to 0 (zero), in the Table tab.

5. Click the IE Preview tab to see the results, and then save your work using the File | Save menu entry.

To save the generated XSLT Stylesheet:
· Select the menu option File | Save Generated XSLT file...

The generated XSLT can now be used to create HTML output for your XML files. If you want to edit the XSLT file you can open it in XMLSPY 5 at any time.

See also:
Save generated XSLT file...


Stylesheet Designer Reference

Stylesheet Designer Reference

The reference section contains a complete description of all Stylesheet Designer windows and menu commands.


Menus and Dialogs

Menus and Dialogs

This section describes the menu, dialog box and context menu options.


File

File

The File menu contains all commands relevant to manipulating files in the order common to most Windows software products.


Open

Open

The "Open..." command allows you to open an XML schema, DTD or .sps file. The familiar Windows "Open" dialog is opened and allows you to select one of these file types.

You may get an error message if your file is either not well-formed or invalid, in this case switch to XMLSPY 5 and try to resolve the problem there.

Opening a .sps file displays the tags in the Design view, and automatically loads all the XML files associated with this file (Schema/DTD and XML document instance).


Save

Save

The "Save" command saves the currently open Stylesheet Designer file as a structure file. The file type extension is *.sps.

The .sps file saves all the data visible in Stylesheet Designer, as well as the associated XML and Schema/DTD files.

Please note:
Only template files (all *.sps files) saved from within Stylesheet Designer, can be edited in Authentic Document view!


Save as...

Save as...

The "Save As..." command shows the familiar Windows "Save as..." dialog and prompts for the name and location of the .sps file to be saved.

Please note:
Only template files (all *.sps files) saved from within Stylesheet Designer, can be edited in Authentic Document view!


Assign working XML file...

Assign working XML file...

The "Assign working XML file" command assigns an existing XML file to the currently open DTD or schema file.

The XML file is used to preview the XSLT file using the XML data. Clicking the IE Preview tab without having assigned an XML file, opens a message box prompting you to select one.

Please note:
The name and folder of the XML working file is displayed in the title bar of Stylesheet Designer! If a file has not been assigned, only the *.sps name is displayed.


Save generated XSLT file...

Save generated XSLT file...

The "Save generated XSLT file" command allows you to save the current version of the XSLT file visible in the XSLT Stylesheet tab.


Most recently used files

Most recently used files

The list of most recently used files, shows the file name and path information for the nine most recently used files, which you can select with the mouse.

To access these files using the keyboard, press:
ALT+F,1 to open the File menu, and select the first file in the list.


Exit

Exit

The "Exit" command is used to quit Stylesheet Designer. If you have an open file with unsaved changes, you will be prompted to save these changes.


Edit

Edit

The Edit menu contains the undo and redo commands which allow you to discard or restore your previous actions.


Undo

Undo

Hotkey: CTRL + Z

The "Undo" command contains support for unlimited levels of Undo! Every action can be undone and it is possible to undo one command after another. The Undo history is retained after using the "Save" command, enabling you go back to a state the document was in before you saved your changes.


Redo

Redo

Hotkey: CTRL + Y

The "Redo" command allows you to redo previously undone commands - thereby giving you a complete history of the work you have completed. You can step back and forward through this history using the Undo and Redo commands.


Insert

Insert

The Insert menu provides commands enabling you to insert various items into the Design view.


Image...

Image...

The "Image..." command allows you to insert a .GIF, .JPG or .PNG graphics into the Design tab.


Paragraph

Paragraph

The "Paragraph" command encloses the selected element in a paragraph.


Table...

Table...

The "Table..." command inserts an empty table into the design tab. A dialog box opens allowing you to define the size of the table. The inserted table is of a fixed type and does not automatically change size with varying XML data in the IE Preview.

To insert a dynamic table please see the section Context menus | Create... context menu | Create table.


List...

List...

The "List..." command inserts a list bullet for each of the elements or attributes. A dialog box opens, allowing you to specify how many list instances you want to insert.


Contents

Contents

The (contents) "text" between the two tags is the Design view symbol for an XML data placeholder.

The placeholder is filled with data when you switch to the IE Preview tab. The data is supplied by the XML file assigned to the currently visible schema visible in the tree view. Use the menu option File | Assign working XML file... to assign the XML file to the schema.

To (re) insert a placeholder:
1. Click between the two tags where you want to insert the placeholder.
2. Click right (at the cursor position) to open the context menu, and select "Insert Contents".

The placeholder is inserted at the cursor position.

To delete a placeholder:
1. Click the placeholder and press the keyboard Del. key.

This deletes the placeholder in the Design tab, and causes the XML data to be suppressed in the IE Preview.

See also:
Insert Contents


Bookmark

Bookmark

The "Bookmark" command allows you to define a bookmark from an element in Stylesheet Designer.

E.g.
1. Double click the text (free standing or table header text) from where you want to start.
2. Go to the Menu bar, click Insert and select Insert Bookmark (or use the shortcut CTRL+G)
3. The name of the bookmark is shown in the Bookmark name field. You can change it to a name of your choice. If there are more bookmarks on the same page, they are displayed in the "Other bookmarks on this page" window.
4. Click "OK". The bookmark has been set.

See also:
Bookmarks in the Tutorial section


Hyperlink

Hyperlink

The "Insert Hyperlink" command/icon allows you to define a hypertext link from an element in Stylesheet Designer.

E.g.
1. Click the text (free standing or table header text) from where you want to start.
2. Click the Hyperlink icon in the title bar.
3. Select the Static tab.
4. Enter the address you want to navigate to e.g. http://www.altova.com
5. Click the IE Preview tab, and then click the header to jump to the link destination.
6 The Altova home page now appears in the IE Preview window.
7. To go back to the IE preview pane, right-click and select Back.

A hyperlink or bookmark element (or group) can be both hyperlink and bookmark. But, since they are both single level structures, it's not possible to have a hyperlink inside a hyperlink, or a bookmark inside a bookmark.

Static vs. dynamic hyperlink
You can either select the "Static", "Dynamic", or "Static and Dynamic" tab in the Insert Hyperlink window. The "Dynamic" and "Static and Dynamic" tabs allow you to use the flexibility of XPath to select addresses for hyperlinks. For novices though, it is easiest to use the "Static" tab window. In this tab, you can select the Absolute Path checkbox. The path is always saved as absolute, even if the checkbox has not been selected. In analogy to the Absolute Path checkbox for "Browse", in the "Dynamic" and "Static and Dynamic" tabs you can check the Absolute XPath checkbox. In this case, the resulting Xpath is absolute rather then relative (default setting).

If you select the "Static and Dynamic" tab you can link to two Static and one Dynamic address.

If a hyperlink has already been inserted, right-click and select Edit hyperlink.

See also:
Hyperlink an image
Hyperlink a text


Table

Table

The Table menu provides commands enabling you to change table characteristics; append, insert, delete and join rows and columns. The table commands available to you depend on the type of table and the current cursor position. To prepare for the insertion of CALS or HTML tables in Authentic Document view, please see the CALS / HTML Table properties section.

To change table characteristics:
· You must have previously inserted a table using the Insert | Table menu command (a fixed table), or
· Dragged an element into the Design window and selected Create Table from the popup menu (a dynamic table).
· Click in a table cell and select the specific command from the menu or toolbar.

Navigating in tables:
Use the keyboard Tab as well as the arrow keys, to navigate the table cells.

Adding text in tables:
Text can be entered in any table cell, this includes the table headers as well.


Delete table

Delete table

The "Delete table" command deletes the currently active table.


Append row

Append row

The "Append row" command appends a row to the end of the currently active table.


Append column

Append column

The "Append column" command appends a column to the end of the currently active table.


Insert row

Insert row

The "Insert row" command inserts a row above the current cursor position in the currently active table.


Insert column

Insert column

The "Insert column" command inserts a column to the left of the current cursor position in the currently active table.


Delete row

Delete row

The "Delete row" command deletes the row where the cursor is currently positioned.


Delete column

Delete column

The "Delete column" command deletes the column where the cursor is currently positioned.


Join cell left

Join cell left

The "Join cell left" command joins the current cell (current cursor position) with the cell to the left. The tabs of both cells remain in the new cell, the column headers remain unchanged.


Join cell right

Join cell right

The "Join cell right" command joins the current cell (current cursor position) with the cell to the right. The tabs of both cells remain in the new cell, the column headers remain unchanged.


Join cell below

Join cell below

The "Join cell below" command joins the current cell (current cursor position) with the cell below. The tabs of both cells remain in the new cell, the column headers remain unchanged.


Join cell above

Join cell above

The "Join cell above" command joins the current cell (current cursor position) with the cell above. The tabs of both cells remain in the new cell, the column headers remain unchanged.


Split cell Horizontally

Split cell Horizontally

The "Split cell Horizontally" command creates a new cell to the right of the currently active cell. The size of both cells, is now the same as the original cell.


Split cell Vertically

Split cell Vertically

The "Split cell Vertically" command creates a new cell below the currently active cell.


Table properties

Table properties

The "Table properties" command opens the Table Properties dialog box. This allows you to customize your table.


Cell content alignment

Cell content alignment

These commands allow you to format the cell content of individual cells in a table.

Align Top
This command aligns the cell contents to the top of the cell.

Center vertically
This command centers the cell contents.

Cell bottom
This command aligns the cell contents to the bottom of the cell.


View cell bounds

View cell bounds

This command displays or hides table boundaries in the Design [Document] tab.

To display the table boundaries:
1. Set the table border to 0 (zero) in the Table Properties dialog box, in the Table tab.
2. Click the View table cell bounds icon.
This switches the dashed table borders of all tables on or off.

This method allows you to see hidden table borders and easily change the table size using the mouse.

· Move the mouse pointer over the dashed line, until the double-headed arrow appears, then click and drag the mouse. A popup appears showing the dimensions while you drag the mouse.


Numbering

Numbering

The "Numbering" command changes the paragraph to a numbered list and back again. The numbers are automatically incremented if you add more paragraphs. Clicking this icon always inserts the default numbering - digits starting with 1.

Automatic numbering for dynamic data in Authentic Document view:
This is only possible when using the para tab.

1. Right click the para tab which should have auto numbering
2. Select "Change to List".
This inserts a bullet in front of the contents placeholder.
3. Click the contents placeholder, and click the Numbering icon in the title bar.
This changes the bullet to a number.

Opening the document in Authentic Document view and hitting the Enter key while in the para tab, automatically adds a new paragraph with correct auto numbering sequence.

The symbols used for bullets and numbering can be changed using the menu option Properties | Bullets and numbering. The changes made in this dialog box only apply to the currently selected list or list item.


Bullets

Bullets

The "Bullets" command changes the paragraph to an unordered bulleted list and back again. Bullets are automatically inserted if you add more paragraphs. Clicking this icon always inserts the default bullet - a solid round bullet.

The symbols used for bullets and numbering can be changed using the menu option Properties | Bullets and numbering. The changes made in this dialog box only apply to the currently selected list or list item.


Authentic

Authentic

The Authentic menu allows you to define special settings for further processing of the resulting HTML document with the Authentic Document view. These settings only apply when using the Authentic Document view!


Node Settings...

Node Settings...

The "Node Settings..." command allows you to define the properties of each node i.e. element/attribute in the Design view, for further processing in Authentic Document view.

To define node settings:
1. Click a node start or end tag (element/attribute tag).
2. Select the menu option Authentic | Node Settings... (or right click the tag and select "Editor Node settings..." from the popup menu).

Note: You have to click a tag to be able to edit the node settings, clicking the (Contents) placeholder does not make this possible.

"Content is editable"
This check box lets you define if the XML content of this node can be edited in the Authentic Document view.

"When adding content, add..."
This group lets you define if existing child nodes are to be added, when you add this node in the Authentic Document view.

"Mixed markup mode"
This group lets you define if, and how, you want to see the markup tags in the Authentic Document view.

"User Info"
Text entered in this text box, appears as a tool tip hint when the mouse pointer is placed over the node in the Authentic Document view. Use this text box to enter explanatory text or hints on how the document is to be filled in. E.g. The Office node could have the explanatory text, "Enter the office name here!"


Text State icons

Text State icons

The "Text State icons" command allows you to define an icon for each global element (that can contain text) present in the schema. A global element is one that appears under the "Global Templates" element in the schema tree view. You have total freedom to apply any styles, formatting etc. to XML documents using this command.

Defining text state icons
1. Make sure the element type you want to define as an icon is available as a global element in the schema (italic). The entry will be visible under Global Templates in the schema tree view in Stylesheet Designer.
2. Click the italic element under Global Templates, and define the attributes you want it to have in the Text style window e.g. font-style = italic.
3. Select the menu option Authentic | Text State Icons.

This opens the "Text State Icons" dialog box.
4. Click the "+" button to add a new line.
5. Click the combo box that is made available at this point.
The drop down list contains all the elements that can contain text in the Global Templates list.

6. Click the italic entry and confirm with Enter.
7. Double click in the icon name column, and enter the name of the icon that should represent the attribute e.g. italic.bmp, in the Authentic Document view toolbar.

8. Click OK to confirm.

Making Text state icons available to Authentic Document view
1. Design the icon you want to represent "italic" in your graphic program (as a windows .BMP), and give it the same name as entered in the Text State Icon dialog box (italic.bmp)
2. Place the italic.bmp in the installation folder of XMLSPY 5 which is your installation folder ..\sps\Picts.
3. Start Authentic Document view and open or create a new template file (*.sps).
The italic.bmp icon you defined is now visible in a toolbar.
4. Mark some text in the Authentic Document view and click the italic icon to apply the formatting.


CALS / HTML Table properties...

CALS / HTML Table properties...

This command allows you to define the type of table, CALS or HTML, you want Authentic Document view to support when you open the XML document or sps template there.

cals-html-properties

XML Tables and Authentic Document view
Stylesheet Designer now supports the use of CALS and HTML tables directly in Authentic Document view.

Please note:

· Only one of the two table types can be inserted into a Authentic Document view XML document (any number of fixed and dynamic tables can still be inserted).

· The table data are saved in the XML file, and have no effect on the sps template file.

· You can assign existing XML tags, in your XML document, to the default CALS or HTML tags in the User Defined column. This allows you to use existing XML tags as CALS or HTML table tags.

· CALS or HTML tables can only be inserted at the exact position defined in the assigned schema file.

Prerequisites for CALS or HTML tables:

· CALS - a DocBook DTD or Schema that supplies the CALS tags
HTML - a XHTML.DTD or Schema that supplies the HTML tags

· An SPS file template - created in Stylesheet Designer which includes/references these DTD/Schemas, and also contains the tags, tables, graphics etc. that form the basis of the template.

Example:
The ..\Examples folder contains the HTML-OrgChart.sps file seen below, as well as the other necessary files.

The sps template file:

· references the HTML-OrgChart.xsd schema file (which also imports the HTML-address.xsd file), and

· uses the HTML-OrgChart.xml as the working XML file

44-html-orgch1

Please note:
The HTML-OrgChart.xsd file includes the HTML table tags under the para tag. This means that HTML tables can only be inserted within/under a para tag in Authentic Document view.

To add CALS or HTML tables anywhere else in this example, the schema file would have to be edited. You would have to insert the table, and all table sub tags, under the tag you want to contain a CALS / HTML table.

To prepare the sps file for inclusion of HTML or CALS tables:
1. Select the menu option Properties | CALS / HTML Tables...

44-html-prop1

2. Click the "Enable XML tables in Authentic Document view" check box.
3. Use the "Type" combo box to select the type of table you want to insert in Authentic Document view, HTML in this case.
4. Confirm with OK.
The sps template file is now configured. HTML table(s) can be inserted under the para tag when you use this HTML-OrgChart template.

Please note:
If you enter an element name in the User Defined column that does not exist in the schema file associated with the XML document, the element name will appear in red.

Please see the Authentic Document view documentation on how to insert and use the CALS / HTML tables.


Assign Template XML file

Assign Template XML file

The "Assign Template XML" command allows you to define which XML file is to act as a template when you select the File | New menu option in the Authentic Document view and select a template file (*.sps).

The file you select can be any XML file and does not have to be the currently loaded one, but must conform to the schema currently in use.


Properties

Properties

The Properties menu allows you to change the properties of the various objects in Stylesheet Designer.


Page...

Page...

The "Page..." command allows you to define the current page properties. The properties defined here take precedence over the individual HTML element settings.

page-properties


Table...

Table...

The "Table properties" command opens the Table Properties dialog box. This allows you to define the specific table properties.


Bullets and Numbering...

Bullets and Numbering...

The "Bullets and Numbering" command allows you to change the type of bullet or numbering graphic for the currently selected list or list item.


Selected object

Selected object

The "Selected object" command, opens the dialog box of the specific object you select.
This command only becomes active if you select a combo box, check box or radio button.


Tools

Tools

The Tools command allows you to select the customize option, from where you can customize Stylesheet Designer.


Spelling

Spelling

This command (hotkey Shift+F7) opens the Spelling dialog box, and automatically starts checking the currently active XML document in this case the OrgChart.sps document.

spell-check

Not in Dictionary
This text box contains the word that cannot be found in any of the existing dictionaries (default and custom dictionaries). You can also edit the text here. The word is also highlighted in the XML document. The command buttons become active at this point and allow you to decide which action to take.

Suggestions
This list box displays a list of words that resemble the unknown word (supplied from all dictionaries). Double clicking a word in this list automatically inserts it in the document and continues the spell checking process.

Ignore once
This command allows you to continue checking the document while ignoring the first occurrence of the unknown word. The same word will be flagged again if it appears in the document.

Ignore all
This command ignores all instances of the unknown word in the whole document.

Add to dictionary
This command adds the unknown word to the currently active custom dictionary. This is the dictionary containing the check mark in the Custom Dictionaries dialog box (custom.tlx).

44-spell-cust-dict2

Change
This command replaces the currently highlighted word in the XML document, with the selected word in the Suggestions list box.

Change all
This command replaces all occurrences of the currently highlighted word in the XML document, with the selected word in the Suggestions list box.

Recheck
The Recheck button restarts the check from the beginning of the document.

Close
This command closes the Spelling dialog box.

Options...
This command is always greyed out in Stylesheet Designer.


Spelling options

Spelling options

This command opens the Options dialog box which defines the global spelling checker options.

Always suggest corrections:
Activating this option causes suggestions (from all of the dictionaries) to be displayed in the Suggestions list box. Disabling this option causes no suggestions to be shown.

Make corrections only from main dictionary:
Activating this option causes only the default dictionary to be used, none of the custom dictionaries are scanned for suggestions. It also disables the Custom Dictionaries button, preventing any editing of the custom dictionaries.

Ignore words in UPPER case:
Activating this option causes all upper case words to be ignored.

Ignore words with numbers:
Activating this number causes all words containing numbers to be ignored.

Dictionary Language
Use this combo box to select the dictionary language for the spelling checking. The default installation allows you to select English. Other language dictionaries will be made available on the Altova download web site.

44-spell-options
Custom dictionaries
The Custom Dictionaries... button allows you to:
· modify an existing dictionary (add or delete dictionary entries)
· create a totally new dictionary
· add an existing dictionary
· remove an existing dictionary

When you start the spell checking process, all dictionaries listed in the Custom Dictionaries list box are searched. If you want to limit the search to specific dictionaries, use the Remove command to delete those you do not want searched.

44-spell-cust-dict

To modify dictionary entries:
1. Click the custom dictionary name whose entries you want to change, and click Modify...
This opens the dictionary highlighted in the list box (custom.tlx in this case). A prompt appears if none of the dictionaries has been selected.

44-spell-cust-tlx

2. Click in the Word: field and enter the new dictionary entry (this automatically activates the Add button).
3. Click Add to add it to the dictionary.

To delete an entry from the dictionary:
1. Click the word in the Dictionary list box to highlight it, and click Delete.
2. Click OK to confirm the changes made in this dialog box.

To add a new dictionary:
1. Click New, and enter the name of the new custom dictionary in the File name... field.
2. Click Save to save the dictionary.
3. You can now add entries to the dictionary using the Add button, or the Add to Dictionary button while performing a spell check.

To add an existing dictionary:
Use this option to add previously removed (or third party dictionaries).
1. Click Add and select a dictionary from the list box. Dictionaries have a *.tlx extension.
2. Click Open to add the dictionary to the Custom dictionary list.

Please note:
It is not mandatory for a dictionary to have a *.tlx extension. It can have any, or no extension at all, and still be added to the dictionary list box.

To remove a dictionary:
· Click the dictionary name in the list and click Remove. This removes the dictionary from the list, it does not physically delete it from your hard disk.


Customize

Customize

The customize command lets you customize Stylesheet Designer to suit your personal needs.


Commands

Commands

The Commands tab allows you customize your menus or toolbars.

To add a command to a toolbar or menu:
1. Open this dialog using View | Customize.
2. Select the command category in the Categories list box. The commands available appear in the Commands list box.
3. Click on a command in the commands list box and drag "it" to an to an existing menu or toolbar.
4. An I-beam appears when you place the cursor over a valid position to drop the command.
5. Release the mouse button at the position you want to insert the command.

· A small button icon appears at the tip of mouse pointer when you drag a command. The check mark below the pointer means that the command cannot be dropped at the current cursor position.
· The check mark disappears wherever it is possible to drop the command (over a tool bar or menu).
· Placing the cursor over a menu when dragging, opens it, allowing you to insert the command anywhere in the menu.
· Commands can be placed in menus or tool bars. If you created you own toolbar you can populate it with your own commands/icons.

Please note:
You can also edit the commands in the context menus (right click in Stylesheet Designer opens a context menu), using the same method. Click the Menu tab and then select the specific context menu from the Context Menus combo box.

To delete a command or menu:
1. Open this dialog using View | Customize.
2. Click on the menu entry or icon you want to delete, and drag with the mouse.
3. Release the mouse button whenever the check mark icon appears below the mouse pointer.
The command, or menu item is deleted from the menu or tool bar.


Toolbars

Toolbars

The Toolbars tab allows you to activate or deactivate specific toolbars, as well as create your own specialized ones.

Stylesheet Designer toolbars contain symbols for the most frequently used menu commands.
For each icon you get a brief "tool tip" explanation when the mouse cursor is directly over it. The status bar (at the bottom of the application window) displays a more detailed description of the command.

You can drag the toolbars from their standard position to any location on the screen, where they appear as a floating window. Alternatively you can also dock them to the left or right edge of the main window.

To activate or deactivate a toolbar:
1. Click the check box to activate (or deactivate) the specific toolbar.

To reset the Menu Bar
· Click the Menu Bar entry and
· Click the Reset button, to reset the menu commands to the state they were in when Stylesheet Designer was installed.

To reset all toolbar and menu commands
· Click the Reset All button, to reset all the toolbar commands to the state they were when Stylesheet Designer was installed. A prompt appears stating that all toolbars and menus will be reset.
· Click Yes to confirm the reset.

Show text labels:
This option places explanatory text below toolbar icons when activated.


Keyboard

Keyboard

The Keyboard tab allows you to define (or change) keyboard shortcuts for any Stylesheet Designer command.

To assign a new Shortcut to a command:
1. Select the commands category using the Category combo box.
2. Select the command you want to assign a new shortcut to, in the Commands list box
3. Click in the "Press New Shortcut Key:" text box, and press the shortcut keys that are to activate the command.
The shortcut immediately appears in the text box. If the shortcut was assigned previously, then that function is displayed below the text box.
4. Click the Assign button to permanently assign the shortcut.
The shortcut now appears in the Current Keys text box.
(To clear this text box, press any of the control keys, CTRL, ALT or SHIFT).

To deassign (or delete a shortcut):
1. Click the shortcut you want to delete in the Current Keys list box, and
2. Click the Remove button (which has now become active).
3. Click the Close button to confirm all the changes made in the Customize dialog box.

To reset all keyboard assignments:
1. Click the Reset All button.
A dialog box appears prompting you to confirm if you want to reset all keyboard assignments.
2. Click Yes if you want to reset all keyboard assignments.

Set accelerator for:
Currently no function.


Menu

Menu

The menu tab allows you to customize the main menu bars as well as the context menus (right click anywhere).

To customize a menu:
1. Select the menu bar you want to customize (Default Menu currently).
2. Click the Commands tab, and drag the commands to the menu bar of your choice.

To delete commands from a menu:
1. Click right on the command, or icon representing the command, and
2. Select the Delete option from the popup menu,

or,
1. Select View | Customize to open the Customize dialog box, and
2. Drag the command away from the menu, and drop it as soon as the check mark icon appears below the mouse pointer.

To reset either of the menu bars:
(Select the Default Menu entry in the combo box)
1. Click the Reset button just below the menu name.
A prompt appears asking if you are sure you want to reset the menu bar.

To customize any of the Context menus (right click menus):
1. Select the context menu from the combo box.
2. Click the Commands tab, and drag the commands to context menu that is now open.

To delete commands from a context menu:
1. Click right on the command, or icon representing the command, and
2. Select the Delete option from the popup menu
or
1. Select View | Customize to open the Customize dialog box, and
2. Drag the command away from the context menu, and drop it as soon as the check mark icon appears below the mouse pointer.

To reset any of the context menus:
1. Select the context menu from the combo box, and
2. Click the Reset button just below the context menu name.
A prompt appears asking if you are sure you want to reset the context menu.

To close a context menu window:
1. Click on the Close icon at the top right of the title bar, or
2. Click the Close button of the Customize dialog box.

Menu animations
· Select one of the menu animations from the combo box, if you want animated menus.

Menu shadows
· Click the "Menu shadows" check box, if you want all your menus to have shadows.


Options

Options

The Options tab allows you to set general environment settings.

Toolbar
When active, the Show Tool tips on toolbars check box displays a popup when the mouse pointer is placed over an icon in any of the icon bars. The popup contains a short description of the icon function, as well as the associated keyboard shortcut, if one has been assigned.

The Show shortcut keys in Tool tips check box, allows you to decide if you want to have the shortcut displayed in the tool tip. When active, the Large icons check box switches between the standard size icons, and larger versions of the icons.


Help

Help

The Help menu contains all commands required to get help or more information on Stylesheet Designer, as well as links to information and support pages on our web server.

Stylesheet Designer includes a online help system that is based on the Microsoft HTML Help Viewer, and let you currently access the table of contents, index and search function of the supplied help file.

The Help menu also contains the Registration dialog, which lets you enter your license key-code, once you have purchased the product.


Table of contents...

Table of contents...

This command displays a hierarchical representation of all chapters and topics contained in the online help system. Use this command to jump to the table of contents directly from within Stylesheet Designer.

Once the help window is open, use the three tabs to toggle between the table of contents, index, and search panes. The Favorites tab lets you bookmark certain pages within the help system.


Index...

Index...

This command accesses the keyword index of Stylesheet Designer Online Help. You can also use the Index tab in the left pane of the online help system.

The index, lists all relevant keywords and lets you navigate to a topic by double-clicking the respective keyword. If more than one topic matches the selected keyword, you are presented a list of available topics to choose from.


Search...

Search...

The Search command performs a full-text search in the entire online help system.

Once you enter your search term into the query field and hit the Return key. The online help system displays a list of available topics that contain the search term you've entered.
· Double-click on any item in the list to display the corresponding topic.


Registration...

Registration...

When you start Stylesheet Designer for the first time, you are automatically presented with the Registration dialog box, which lets you register your software product in order to be eligible for technical support and activate your license, which is done by entering a unique key-code to unlock the software.

FREE Evaluation Version

If you have downloaded the Stylesheet Designer from our web server and would like to activate your FREE 30-day evaluation version, please enter your name, company, and e-mail address and click on the "Request FREE evaluation key..." button. Stylesheet Designer then uses your Internet connection to transmit the information you have just entered to our web server, where a personal unique evaluation license will be generated for you. The license key-code, which is necessary to unlock your software, will then be sent to the e-mail address you have entered - it is therefore important, that you enter your real e-mail address in the registration dialog box!

Once you have clicked the request button, please go to your favorite mail software and retrieve the license key-code from our e-mail message, which you should be receiving in a matter of a few minutes (depending on transient Internet conditions).

If you requested a key-code and it didn't arrive in a short space of time, the process may have failed due to Firewall restrictions in your network. If this is the case, please send a short message with your information via e-mail to our website and our support staff will generate a key-code for you manually.

When you have received your evaluation key-code, please enter it into the key-code field in the registration dialog box and click on OK to start working with Stylesheet Designer.

Whenever you want to place an order for a licensed version of Stylesheet Designer, you can also use the "Order license key..." button in the registration dialog box or the Order form menu command to proceed to the Secure Altova Online Shop on the Internet.

Licensed Version

If you have purchased a single-user license for Stylesheet Designer, you will receive an e-mail message from us that contains your license-data and includes your name, company and key-code. Please make sure that you enter all fields from your license e-mail into the registration dialog box. The key-code will only be able to unlock your software installation, if the entries in the name and company fields match the name and company entered into our order form.

If your company has purchased a multi-user license for Stylesheet Designer, you will receive an e-mail message from us that contains your license-data and includes your company name and key-code.

Please make sure that you enter the company name and key-code from your license e-mail into the registration dialog box and also enter your personal name into the name field. The key-code will only be able to unlock your software installation, if the value in the company field match the company name entered into our order form.

Please note that the Stylesheet Designer License-Agreement does not allow you to install more than the licensed number of copies of Stylesheet Designer on the computers in your organization (per-seat license).


Order form...

Order form...

When you want to place an order for a licensed version of Stylesheet Designer, use this command or the "Order license key..." button in the registration dialog to proceed to the Secure Altova Online Shop on the Internet, where you can choose between different single- and multi-user license packs.

Once you have placed your order, you can choose to pay by credit card, send a check by mail, or use a bank wire transfer.


Support Center...

Support Center...

If you have any questions regarding our product, please feel free to use this command to query to our support center on the Internet at any time. This is the place where you'll find links to the FAQ, support form, and e-mail addresses for contacting our support staff directly.


FAQ on the web

FAQ on the web

To help you in getting the best support possible, we are providing a list of Frequently Asked Questions (FAQ) on the Internet, that is constantly updated as our support staff encounters new issues that are raised by our customers.

Please make sure to check the FAQ before contacting our technical support team. This will allow you to get help more quickly.

We regret that we are not able to offer technical support by phone at this time, but our support staff will typically answer your e-mail incidents within one business day.


Components download

Components download

The Components download option, currently lets you to download the latest Microsoft XML Parser, as well as an alternate XSLT Transformation System, and will be expanded in the future.


Altova on the Internet...

Altova on the Internet...

This command takes you directly to the Altova web-server http://www.altova.com where you can find out about news, product updates and additional offers from the Altova team.


Japanese distributor...

Japanese distributor...

If you are located in Japan, you may prefer to contact our Japanese distributor on the Internet by using this menu command.


About XSLT Designer

About Stylesheet Designer...

This command displays the current Stylesheet Designer splash window and version number.


Text Style pane

Text style pane

The Text style pane allows you to set attributes for text in your .sps file. You can select the attributes for color, text, position of text, layout, more and IE by clicking on each tab.

textstyle

Select from the values in the drop-down list of each combo box.


Block style pane

Block style pane

The Block style pane allows you to set attributes in areas (e.g. tables) in your .sps file. You can select the attributes for color, text, position of text, layout, more and IE by clicking on each tab.

blockstyle

Select from the values in the drop-down list of each combo box.


Context menus

Context menus

Context menus are opened by clicking right on some part of the user-interface. The pop-up menu that opens is determined by where you click.

You can customize the context menus using the View | Customize option.


Change... context menu

Change... context menu

Change...
Right-clicking in the Design view, opens this context menu. If you right-click a tag, you can change the tag into any one of the other types available in this list.

The Authentic Document view Node Settings... item, opens a dialog box enabling you to define the current node properties for further editing in the Authentic Document view. (Node in the Designer view means an element or attribute tag.)

See also:
Insert


Create... popup menu

Create... popup menu

Create...
Not exactly a context menu. This menu is automatically opened when you drag an element from the schema tree view into the Design view pane. It allows you to decide how the schema component is to be used in the XSLT stylesheet.

Create Contents:
Selecting Create Contents inserts the respective tags, and displays them in the same line in the Design tab. The IE Preview tab displays the XML data as text in a single line without delimiters.

Create Paragraph:
This command encloses the contents in a paragraph. Selecting Create Paragraph, inserts the respective tags, and displays them over three lines. The first line contains the start tags, the second the (contents) placeholder, and the third all the end tags. The IE Preview tab displays the XML data as text, one line for each instance.

Create List:
Selecting List, inserts the respective tags and displays them over three lines in the Design view. The first line contains the start tags, the second a "bulleted" (contents) placeholder, and the third the end tags. The IE Preview tab displays the XML data as bulleted text, one line for each instance.

Create Image:
Selecting image, inserts the image referenced in the image path.

Create Input Field:
Selecting Input Field inserts the element/attribute tags with a text box between the start and end tags in the Designer view. The IE Preview displays a text box for each XML data instance. Input fields can be resized by clicking the right or lower border and dragging. A popup appears displaying the current dimension.

Create Multiline Input Field:
Selecting Multiline Input Field inserts the element/attribute tags with a multiline text box between the start and end tags in the Designer view. The IE Preview displays a multiline textbox with scroll bar for each XML data instance. Input fields can be resized by clicking the right or lower border and dragging. A popup appears displaying the current dimension.

Create Combo box:
Selecting Combo box, allows you to define a combo box and the values it contains for the element/attribute you insert. A dialog box opens the moment you select the Combo box entry.

Click the "Plus" button to add a list entry line to the combo box. Double click in the "Visible entry" column and enter the list entry you want to appear. Double click in the "XML value" column to add combo box return values. The visible entry is used as a descriptor, the XML value is what is actually saved.

E.g. Visible entry XML value
Programmer 1
Support 2
Manager 3

Click the "Minus" button to delete a row from the list entries.

Clicking OK inserts the element/attribute tags with a combo box between the start and end tags in the Design view. The IE Preview tab displays a combo box for each XML data instance.

To reopen this dialog box, click the combo box and select the menu option Properties | Selected object...

Create Check box:
A dialog box opens the moment you select the check box entry. To open this dialog box at a later time right-click the elemtn to change and select Change to Check Box.

Click the "Plus" button to add an entry line to the "Checked values" column. Double click in the column and enter the checked value you want to appear. Double click in the "Unchecked value" text box to change the unchecked value. The unchecked value represents the unchecked status of a check box, and is the XML value when unchecked (a check box must always have a distinct state).

Click the "Minus" button to delete a row from the checked values.

Clicking OK inserts the element/attribute tags with a check box between the start and end tags in the Designer view. The IE Preview displays a check box for each XML data instance.

To reopen this dialog box, click the check box and select the menu option Properties | Selected object...

Create Radio button:
A dialog box opens the moment you select the check box entry.

Click the "Plus" button to add an entry line to the "Checked values" column. Double click in the column and enter the "Checked value" you want to appear. The checked value is the XML value that represents checked.

Click the "Minus" button to delete a row from the checked values.

Clicking OK inserts the element/attribute tags with a radio button between the start and end tags in the Designer view. The IE Preview displays a radio button for each XML data instance.

To reopen this dialog box, click the radio button and select the menu option Properties | Selected object...

Create Button:
Selecting Button inserts the element/attribute tags with a button named "Button text" between the start and end tags in the Designer view. The IE Preview displays a button for each XML data instance.


Insert Contents

Insert Contents

The Insert Contents item only becomes active if you have previously clicked and set the cursor on text in the Design view, and subsequently right-clicked the cursor at that position. The (contents) placeholder is inserted at the position of the cursor.

The Insert Rest of Contents item works like the Insert Contents item. The (rest of contents) placeholder is inserted at the cursor position.

Previous Top